;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;  Instruction INI file for gfx+cc installer
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;-----NOTE: USE ALL LOWER CASE FOR SECTION AND PROPERTY NAMES


;***************************************** General Format
;[section]
;property1=value1
;property2=value2
;property3=value3
;uninstall=true | false | only
;[/section]


;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;++                               BEGIN                                 ++
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;VARIABLE DECLARATION;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)	       ;pre-defined
installdir=%progfilesdir%\Intel\Intel Matrix Storage Manager
imsm_ver=%GetDriverVersion(IMSM)%
robson_ver=%GetDriverVersion(iaNvStor)%
startfolder=%GetString(16)%
startfolder2=%GetString(27)%
[/variables]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;; DIFx and Uninstall placement specific ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[copy file]
source=%path%\difxapi.dll
destination=%system%\difxapi.dll
uninstall=false
sequence=10
[/copy file]

[copy file]
source=%path%\x64\difxapi.dll
destination=%system%\x64\difxapi.dll
uninstall=false
condition=IsWoW
sequence=11
[/copy file]

[copy file]
source=%path%\x64\Difx64.exe
destination=%system%\x64\Difx64.exe
uninstall=false
condition=IsWoW
sequence=12
[/copy file]


[copy file]
source=%path%\setup.exe
destination=%system%\imsmudlg.exe
uninstall=false
sequence=13
[/copy file]

[copy file]
source=%path%\Lang\Storage\%lang%\Storage%lang%.dll
destination=%system%\Lang\Storage\%lang%\Storage%lang%.dll
uninstall=true
sequence=14
[/copy file]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Robson
keyvalue=LogPath
keydata=%GetSwitch(f2)%
keytype=sz
uninstall=true
sequence=15
condition=IfDrvExists(iaNvStor) && IsOS(512) && IsNotCmd(nogui) && IsNotCmd(nonvcgui) && IsCmd(f2)
[/registry]


//this needs to be the last item we install.
[process]
exepath=regedit
parameters=/s "%path%\setupcfg.reg"
sequence=8000
error=ignore
window=hide
condition=IfExists(%path%\setupcfg.reg)
[/process]


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;; IMSM Specific Application entries ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[copy file]
source=%path%\Application\PI_IMSM.dll
destination=%installdir%\PI_IMSM.dll
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6000
[/copy file]

[copy file]
source=%path%\readme.txt
destination=%installdir%\readme.txt
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6001
[/copy file]

[copy file]
source=%path%\Lang\Storage\%lang%\readme.txt
destination=%installdir%\readme.txt
uninstall=true
error=ignore
condition=IfDrvExists(IMSM)
sequence=6002
[/copy file]

[copy file]
source=%path%\Application\Monitor\%lang%\IAAMON_%lang%.dll
destination=%installdir%\IAAMON_%lang%.dll
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6003
[/copy file]

[copy file]
source=%path%\Application\Removedrv\%lang%\removdrv.txt
destination=%installdir%\removdrv.txt
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6004
[/copy file]

[copy file]
source=%path%\uninstall\%lang%\IMSMu%lang%.dll
destination=%system%\%lang%\IMSMu%lang%.dll
uninstall=false
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6005
[/copy file]

[copy file]
source=%path%\Application\Help\helptext_%lang%.html
destination=%installdir%\helptext_%lang%.html
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6006
[/copy file]

[copy file]
source=%path%\Application\Help\helpTOC_%lang%.html
destination=%installdir%\helpTOC_%lang%.html
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6007
[/copy file]

[copy file]
source=%path%\Application\Help\shell_%lang%.html
destination=%installdir%\shell_%lang%.html
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6008
[/copy file]

[copy file]
source=%path%\Application\Help\helptitle_%lang%.html
destination=%installdir%\helptitle_%lang%.html
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6009
[/copy file]

[copy file]
source=%path%\Application\Help\IMSM_help_fig1_%lang%.jpg
destination=%installdir%\IMSM_help_fig1_%lang%.jpg
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6010
[/copy file]

[copy file]
source=%path%\Application\Help\IMSM_help_fig2_%lang%.jpg
destination=%installdir%\IMSM_help_fig2_%lang%.jpg
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6011
[/copy file]

[copy file]
source=%path%\Application\Help\helptext_ENU.html
destination=%installdir%\helptext_ENU.html
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6012
[/copy file]

[copy file]
source=%path%\Application\Help\helpTOC_ENU.html
destination=%installdir%\helpTOC_ENU.html
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6013
[/copy file]

[copy file]
source=%path%\Application\Help\shell_ENU.html
destination=%installdir%\shell_ENU.html
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6014
[/copy file]

[copy file]
source=%path%\Application\Help\helptitle_ENU.html
destination=%installdir%\helpttitle_ENU.html
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6015
[/copy file]

[copy file]
source=%path%\Application\Help\IMSM_help_fig1_ENU.jpg
destination=%installdir%\IMSM_help_fig1_ENU.jpg
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6016
[/copy file]

[copy file]
source=%path%\Application\Help\IMSM_help_fig2_ENU.jpg
destination=%installdir%\IMSM_help_fig2_ENU.jpg
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6017
[/copy file]

[copy directory]
source=%path%\application\Monitor
destination=%installdir%
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6018
[/copy directory]

[copy directory]
source=%path%\application\StorageUtility
destination=%installdir%
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6019
[/copy directory]

[copy directory]
source=%path%\Application\StorageUtility\%lang%\
destination=%installdir%
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6020
[/copy directory]

[copy directory]
source=%path%\winall\driver64
destination=%installdir%\driver64
uninstall=true
error=ignore
condition=IfDrvExists(IMSM)
sequence=6021
[/copy directory]

[copy directory]
source=%path%\winall\driver
destination=%installdir%\driver
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6022
[/copy directory]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Intel\Intel Matrix Storage Manager
keyvalue=InstallPath
keydata=%installdir%
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6023
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Console
keyvalue=WinUiLocation
keydata=%installdir%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6024
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=Language
keydata=%lang%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6025
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=WinUiLocation
keydata=%installdir%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6026
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=IAAnotif
keydata=%installdir%\iaanotif.exe
keytype=sz
uninstall=true
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6027
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Console
keyvalue=Language
keydata=%lang%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6028
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=RAIDNotificationIcon
keydata=2
keytype=dw
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6029
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=PVKitVersion
keydata=0
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6030
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=Version
keydata=%imsm_ver%
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6031
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager\%imsm_ver%
keyvalue=Version
keydata=%imsm_ver%
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6032
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=LastKitInstalled
keydata=%imsm_ver%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6033
[/registry]

[registry]
keyroot=HKLM
keypath=system\CurrentControlSet\Services\EventLog\Application\IAANTmon
keyvalue=EventMessageFile
keydata=iaantmon.exe
keytype=sz
uninstall=true
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6034
[/registry]

[registry]
keyroot=HKLM
keypath=system\CurrentControlSet\Services\EventLog\Application\IAANTmon
keyvalue=TypesSupported
keydata=+7
keytype=dw
uninstall=true
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6035
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=DisplayName
keydata=%GetString(16)%
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6036
[/registry]

;;Don't uninstall driver unless were are on vista
[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=UninstallString
keydata=%system%\imsmudlg.exe -uninstall -nodrv
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6037
[/registry]

;;Vista uninstall can handle driver removal.
[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=UninstallString
keydata=%system%\imsmudlg.exe -uninstall
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM) && IsOS(512)
sequence=6038
[/registry]

[services]
servicename=IAANTMON
displayname=Intel(R) Matrix Storage Event Monitor
servicetype=SERVICE_WIN32_OWN_PROCESS
starttype=SERVICE_AUTO_START
binpath=%installdir%\IAANTMon.exe
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6039
[/services]

[process]
exepath=%installdir%\IAAnotif.exe
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6040
kill=yes
[/process]

[registerdll]
dllpath=%installdir%\PI_IMSM.dll
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6041
[/registerdll]

[shortcut]
target=%installdir%\Shell_%lang%.html
path=%startmenu%\%startfolder%\%GetString(22)%.lnk
description=help
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6042
[/shortcut]

[shortcut]
target=%installdir%\Shell.exe
path=%startmenu%\%startfolder%\%GetString(33)%.lnk
description=%GetString(33)%
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6043
[/shortcut]

[shortcut]
target=%installdir%\readme.txt
path=%startmenu%\%startfolder%\readme.lnk
description=Readme
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6044
[/shortcut]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;; Robson Specific install steps, done if robson present;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;Robson is sequeced because the IaNvSrv.exe must execute after the install of the driver
[copy file]
source=%path%\Winall\Robson\x32\nvccoin.dll
destination=%system%\nvccoin.dll
uninstall=true
error=ignore
sequence=7000
condition=IfDrvExists(iaNvStor) && IsOS(512) && IsNotCmd(nogui) && IsNotCmd(nonvcgui)
[/copy file]

[copy file]
source=%path%\OROM\Robson\Prod.rom
destination=%installdir%\OROM\Robson\Prod.Rom
uninstall=true
error=ignore
sequence=7001
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/copy file]

[copy file]
source=%path%\OROM\IaNvSrv\IaNvSrv.exe
destination=%installdir%\OROM\IaNvSrv\IaNvSrv.exe
uninstall=true
error=ignore
sequence=7002
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/copy file]


[copy directory]
source=%path%\application\Robson
destination=%installdir%\Extn
uninstall=true
sequence=7003
condition=IfDrvExists(iaNvStor) && IsOS(512) && IsNotCmd(nogui) && IsNotCmd(nonvcgui) 
[/copy directory]

[copy directory]
source=%path%\application\Robson\%lang%
destination=%installdir%\Extn
uninstall=true
sequence=7004
error=ignore
condition=IfDrvExists(iaNvStor) && IsOS(512) && IsNotCmd(nogui) && IsNotCmd(nonvcgui) 
[/copy directory]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Robson
keyvalue=Version
keydata=%robson_ver%
keytype=sz
uninstall=true
sequence=7005
condition=IfDrvExists(iaNvStor) && IsOS(512) && IsNotCmd(nogui) && IsNotCmd(nonvcgui)
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Robson
keyvalue=Language
keydata=%lang%
keytype=sz
uninstall=true
sequence=7006
condition=IfDrvExists(iaNvStor) && IsOS(512) && IsNotCmd(nogui) && IsNotCmd(nonvcgui)
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Robson
keyvalue=OROMPath
keydata=%installdir%\OROM\Robson\Prod.Rom
keytype=sz
uninstall=true
sequence=7007
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=IaNvSrv
keydata=%installdir%\OROM\IaNvSrv\IaNvSrv.exe
keytype=sz
uninstall=true
sequence=7008
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=DisplayName
keydata=%GetString(29)%
keytype=sz
uninstall=true
sequence=7010
condition=IfDrvExists(iaNvStor) && IsOS(512) && IsNotCmd(nogui) && IsNotCmd(nonvcgui)
[/registry]


[shortcut]
target=%installdir%\Extn\shellex.exe
path=%startmenu%\%startfolder2%\%GetString(28)%.lnk
description=%GetString(28)%
condition=IfDrvExists(iaNvStor) && IsOS(512) && IsNotCmd(nogui) && IsNotCmd(nonvcgui)
sequence=7011
[/shortcut]

[process]
exepath=%installdir%\OROM\IaNvSrv\IaNvSrv.exe
condition=IfDrvExists(iaNvStor) && IsOS(512)
sequence=7014
sendquit=yes
window=hide
[/process]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Robson Ready Drive related Registry Entries
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=FileSizeKB
keydata=32768
keytype=dw
uninstall=true
sequence=7015
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOSizeKB.RanRead
keydata=4
keytype=dw
uninstall=true
sequence=7016
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOSizeKB.SeqRead
keydata=64
keytype=dw
uninstall=true
sequence=7017
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOSizeKB.RanWrite
keydata=4
keytype=dw
uninstall=true
sequence=7018
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOSizeKB.SeqWrite
keydata=64
keytype=dw
uninstall=true
sequence=7019
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOCount.RanRead
keydata=128
keytype=dw
uninstall=true
sequence=7019
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOCount.SeqRead
keydata=128
keytype=dw
uninstall=true
sequence=7020
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOCount.RanWrite
keydata=128
keytype=dw
uninstall=true
sequence=7021
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOCount.SeqWrite
keydata=128
keytype=dw
uninstall=true
sequence=7022
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanRead.MinResponseTimeUs
keydata=136
keytype=dw
uninstall=true
sequence=7023
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanRead.MaxResponseTimeUs
keydata=388
keytype=dw
uninstall=true
sequence=7024
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanRead.AvgResponseTimeUs
keydata=262
keytype=dw
uninstall=true
sequence=7025
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanRead.ThroughputKBs
keydata=15238
keytype=dw
uninstall=true
sequence=7026
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqRead.MinResponseTimeUs
keydata=1361
keytype=dw
uninstall=true
sequence=7027
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqRead.MaxResponseTimeUs
keydata=2455
keytype=dw
uninstall=true
sequence=7028
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqRead.AvgResponseTimeUs
keydata=1908
keytype=dw
uninstall=true
sequence=7029
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqRead.ThroughputKBs
keydata=33532
keytype=dw
uninstall=true
sequence=7030
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanWrite.MinResponseTimeUs
keydata=66
keytype=dw
uninstall=true
sequence=7031
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanWrite.MaxResponseTimeUs
keydata=685
keytype=dw
uninstall=true
sequence=7032
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanWrite.AvgResponseTimeUs
keydata=99
keytype=dw
uninstall=true
sequence=7033
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanWrite.ThroughputKBs
keydata=40204
keytype=dw
uninstall=true
sequence=7034
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqWrite.MinResponseTimeUs
keydata=207
keytype=dw
uninstall=true
sequence=7035
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqWrite.MaxResponseTimeUs
keydata=431
keytype=dw
uninstall=true
sequence=7036
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqWrite.AvgResponseTimeUs
keydata=250
keytype=dw
uninstall=true
sequence=7037
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqWrite.ThroughputKBs
keydata=255536
keytype=dw
uninstall=true
sequence=7038
condition=IfDrvExists(iaNvStor) && IsOS(512)
[/registry]


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;Remove the specific uninstall keys written;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
uninstall=only
sequence=1
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Console
uninstall=only
sequence=2
[/registry]

[registry]
keyroot=HKLM
keypath=system\CurrentControlSet\Services\EventLog\Application\IAANTmon
uninstall=only
sequence=3
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Robson
uninstall=only
sequence=4
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager\%imsm_ver%
uninstall=only
sequence=5
[/registry]

[registry]
keyroot=HKLM
keypath=system\CurrentControlSet\Services\IaNvStor\Parameters
uninstall=only
sequence=6
[/registry]
